<?php

class Migration_20250725025712_alter_lcs_tbl
{
    public static function up(PDO $pdo)
    {
        $pdo->exec("
            ALTER TABLE live_camera_streaming_data
            ADD COLUMN ftp_mode ENUM('custom', 'managed') DEFAULT NULL,
            ADD COLUMN ftp_managed_id INT DEFAULT NULL
        ");
    }

    public static function down(PDO $pdo)
    {
        $pdo->exec("
            ALTER TABLE live_camera_streaming_data
            DROP COLUMN ftp_mode,
            DROP COLUMN ftp_managed_id
        ");
    }
}